{
	"author": "Incubateur ANCT",
	"name": "deveco-api",
	"version": "1.0.0",
	"description": "deveco API",
	"main": "index.js",
	"scripts": {
		"start": "IS_BUILT=true node dist/index.js",
		"start:dev": "concurrently -n \"pgsql,api\" -c \"green,cyan,yellow\" -p time \"yarn db:start\" \"yarn dev\" \"yarn elastic:start\"",
		"build": "tsc && mkdir -p ./dist/db/query/sql && cp -R ./src/db/query/sql/* ./dist/db/query/sql/ && mkdir -p ./dist/elastic/mappings && cp -R ./src/elastic/mappings/*.json ./dist/elastic/mappings/ && yarn sentry:sourcemaps",
		"dev": "export NODE_ENV=test && export NODE_TLS_REJECT_UNAUTHORIZED=0 && export NOUVEAUTES_UPDATE_TOKEN=token && nodemon",
		"generate": "drizzle-kit generate --config=src/drizzle.config.ts",
		"compare": "drizzle-kit push:pg --config=src/drizzle.config.ts",
		"db:start": "docker compose up db",
		"db:stop": "docker compose down db",
		"elastic:start": "docker compose up elasticsearch",
		"elastic:stop": "docker compose down elasticsearch",
		"format": "prettier --ignore-path .prettierignore --write \"**/*.+(js|ts|json)\"",
		"prestart": "yarn build",
		"lint": "yarn lint:fix && yarn lint:typecheck",
		"lint:fix": "yarn lint:style --fix",
		"lint:style": "eslint src/",
		"lint:typecheck": "tsc --noEmit --incremental",
		"lint:watch": "tsc --noEmit --incremental --watch",
		"serve": "yarn ts-node ./src/index.ts",
		"watch": "yarn lint:watch",
		"sentry:sourcemaps": "sentry-cli sourcemaps inject --org sentry --project deveco-prod-api ./dist && sentry-cli --url https://sentry.incubateur.anct.gouv.fr/ sourcemaps upload --org sentry --project deveco-prod-api ./dist"
	},
	"repository": {
		"type": "git",
		"url": "git+ssh://git@gitlab.com/incubateur-territoires/startups/deveco/deveco-api.git"
	},
	"keywords": [
		"deveco",
		"api"
	],
	"license": "ISC",
	"bugs": {
		"url": "https://gitlab.com/incubateur-territoires/startups/deveco/deveco-api/issues"
	},
	"homepage": "https://gitlab.com/incubateur-territoires/startups/deveco/deveco-api#readme",
	"dependencies": {
		"@libsql/client-wasm": "^0.14.0",
		"@opensearch-project/opensearch": "^2.6.0",
		"@placemarkio/check-geojson": "^0.1.12",
		"@sentry/cli": "^2.40.0",
		"@sentry/node": "^8.49.0",
		"@turf/turf": "^7.1.0",
		"@types/he": "^1.2.3",
		"@types/node-imap": "^0.9.3",
		"bcrypt": "^5.0.1",
		"chance": "^1.1.11",
		"csv-writer": "^1.6.0",
		"csvtojson": "^2.0.10",
		"date-fns": "^2.30.0",
		"dotenv": "^16.0.0",
		"drizzle-orm": "^0.38.3",
		"elastic-builder": "^2.28.0",
		"exceljs": "^4.3.0",
		"fast-xml-parser": "^4.3.5",
		"form-data": "^4.0.0",
		"geojson": "^0.5.0",
		"gunzip-maybe": "^1.4.2",
		"he": "^1.2.0",
		"http-status-codes": "^2.2.0",
		"json2csv": "^6.0.0-alpha.2",
		"jsonwebtoken": "^8.5.1",
		"koa": "^2.13.4",
		"koa-bodyparser": "^4.3.0",
		"koa-compress": "^5.1.1",
		"koa-conditional-get": "^3.0.0",
		"koa-cookie": "^1.0.0",
		"koa-etag": "^4.0.0",
		"koa-json": "^2.0.2",
		"koa-router": "^12.0.1",
		"koa-useragent": "^4.1.0",
		"mailparser": "^3.7.2",
		"node-cron": "^3.0.2",
		"node-fetch": "2",
		"node-imap": "^0.9.6",
		"nodemailer": "^6.7.8",
		"postgres": "^3.3.5",
		"prom-client": "^14.1.1",
		"read-excel-file": "^5.3.3",
		"tar-stream": "^3.1.7",
		"uuidv4": "^6.2.12",
		"wkx": "^0.5.0"
	},
	"devDependencies": {
		"@eslint/js": "^9.19.0",
		"@sentry/types": "^8.49.0",
		"@tsconfig/node18": "^18.2.2",
		"@types/bcrypt": "^5.0.0",
		"@types/bcryptjs": "^2.4.4",
		"@types/chance": "^1.1.6",
		"@types/csvtojson": "^2.0.0",
		"@types/geojson": "^7946.0.10",
		"@types/gunzip-maybe": "^1.4.2",
		"@types/json2csv": "^5.0.6",
		"@types/jsonwebtoken": "^8.5.8",
		"@types/koa": "^2.13.4",
		"@types/koa-bodyparser": "^4.3.5",
		"@types/koa-compress": "^4.0.6",
		"@types/koa-conditional-get": "^2.0.0",
		"@types/koa-cookie": "^1.0.0",
		"@types/koa-etag": "^3.0.0",
		"@types/koa-json": "^2.0.20",
		"@types/koa-logger": "^3.1.2",
		"@types/koa-router": "^7.4.4",
		"@types/mailparser": "^3.4.5",
		"@types/node": "^17.0.21",
		"@types/node-cron": "^3.0.2",
		"@types/node-fetch": "^2.6.11",
		"@types/nodemailer": "^6.4.5",
		"@types/pg": "^8.10.2",
		"@types/tar-stream": "^3.1.3",
		"@typescript-eslint/eslint-plugin": "^5.14.0",
		"@typescript-eslint/parser": "^5.14.0",
		"concurrently": "^7.0.0",
		"drizzle-kit": "^0.30.1",
		"eslint": "^9.19.0",
		"eslint-config-prettier": "^10.0.1",
		"eslint-plugin-import": "^2.31.0",
		"nodemon": "^2.0.15",
		"prettier": "^3.4.2",
		"sucrase": "^3.35.0",
		"ts-node": "^10.6.0",
		"typescript": "^5.7.3",
		"typescript-eslint": "^8.21.0"
	},
	"engines": {
		"node": "22",
		"yarn": "1.22.22"
	}
}
